%define	name	lirc-remotes
%define	version 0.8.3
%define	rel	0.20080704.3
%define	release	%mkrel %{rel}

Summary:	Lirc remotes database
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
Source0:	http://www.lirc.org/remotes.tar.bz2
Source1:	lirc-remotes-qsonic.tar.bz2
Source2:	lirc-fixup-keys.c
Source3:	http://d.gardon.free.fr/vase/lirc/full/nns_full.txt
# (fc) 0.8.3-0.20080704.3mdv fix remote names for files not parsed by gnome-lirc-properties
Patch0:		lirc-fixname.patch
URL:		http://www.lirc.org/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	glib2-devel
Requires:	lirc >= %{version}

%description
LIRC is a package that allows you to decode and send infra-red signals
of many (but not all) commonly used remote controls.

This package contains configuration files for many remotes 
supported by lirc.

%prep
%setup -q -T -c -b 0 -n remotes -a 1 
cp %{SOURCE2} %{SOURCE3} .
# no backup extension, since we copy the entire dir
%patch0 -p1 

%build

gcc -o lirc-fixup-keys lirc-fixup-keys.c `pkg-config --libs --cflags glib-2.0`

./lirc-fixup-keys nns_full.txt remotes

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r remotes/* $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/lirc-remotes



%changelog
* Thu Sep 11 2008 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-0.20080704.3mdv2009.0
+ Revision: 283770
- Patch0: fix some remote names, was crashing gnome-lirc-properties

* Sun Aug 24 2008 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-0.20080704.2mdv2009.0
+ Revision: 275460
- bump release
- Cleanup keys in various configuration files :
 - Add source1 : Bastien Nocessa clean keys search and replace program
 - Add source2 : keys database from Loic Dardant

* Sun Aug 24 2008 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-0.20080704.1mdv2009.0
+ Revision: 275441
- Update to remotes database from 2008-07-04 (there is no version in the file, just use the tarball creation date from upstream website)

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 0.6.6-4mdv2009.0
+ Revision: 140932
- restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.6.6-4mdv2008.1
+ Revision: 129376
- kill re-definition of %%buildroot on Pixel's request


* Mon Aug 08 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.6.6-4mdk
- add better description for Pearl/Q-Sonic Master Remote PC/TV

* Mon May 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6.6-3mdk
- update database

* Fri May 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-2mdk
- update database dans rebuild

* Mon Mar 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.6-1mdk
- Update database (fix bug 3361)

* Thu May 02 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.5-1mdk
- Initial Mdk package (based on PLD and Debian package)

